#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	exo
Version		:	4.19.1
Release		:	17.2.0.rel%{?dist}

Summary		:	Support library used in the Xfce desktop
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+ and GPLV2+
URL		:	http://archive.xfce.org/src/xfce/exo

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	at-spi2-core-devel
BuildRequires	:	libxfce4ui
BuildRequires	:	gtk
BuildRequires	:	gtk-doc
BuildRequires	:	perl-URI
#-----------------------------------------------------------------------------
%description
Extension library for Xfce, targeted at application development.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md THANKS
%{_bindir}/%{name}-*
%{_libdir}/lib%{name}-2.so.0*
%{_datadir}/pixmaps/%{name}/exo-*.png
%{_mandir}/man1/*.1.gz

#=============================================================================
%package		devel
Summary		:	Development package for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Development tools and static libraries and
header files for the exo library.

#-----------------------------------------------------------------------------
%files			devel
%doc %{_datadir}/gtk-doc
%defattr(-,root,root,-)
%{_includedir}/%{name}-2/%{name}/*.h
%{_libdir}/lib%{name}-2.so
%{_libdir}/pkgconfig/%{name}-2.pc
 
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-gtk3					\
	--enable-gtk-doc				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete
%find_lang	%{name}
#-----------------------------------------------------------------------------
%changelog
